body{
    width: 100%;
    background: no-repeat url(../images/bg.png);
}

.container{

    width: 60%;
    margin: 0 auto;
}

button{
    background-color: #e6e6e6; 
    color: black;
    float:right;
    border: none;
    padding: 12px 30px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 50px;
}

.buttons{
    display: flex;
    margin: 0 auto;
    justify-content: center;
    margin-top: 20%;
}

.hidden{
    display: flex;
    justify-content: center;
}

#deleteButton{
    height: 40px;

}

.weather{   
    align-items: c;
    margin: 5%;
    width: 10%;

}


.preloader {
    /*фиксированное позиционирование*/
    position: fixed;
    /* координаты положения */
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    /* фоновый цвет элемента */
    background: #e0e0e0;
    /* размещаем блок над всеми элементами на странице (это значение должно быть больше, чем у любого другого позиционированного элемента на странице) */
    z-index: 1001;
  }
  
  .preloader__row {
    position: relative;
    top: 50%;
    left: 50%;
    width: 70px;
    height: 70px;
    margin-top: -35px;
    margin-left: -35px;
    text-align: center;
    animation: preloader-rotate 2s infinite linear;
  }
  
  .preloader__item {
    position: absolute;
    display: inline-block;
    top: 0;
    background-color: #337ab7;
    border-radius: 100%;
    width: 35px;
    height: 35px;
    animation: preloader-bounce 2s infinite ease-in-out;
  }
  
  .preloader__item:last-child {
    top: auto;
    bottom: 0;
    animation-delay: -1s;
  }
  
  @keyframes preloader-rotate {
    100% {
      transform: rotate(360deg);
    }
  }
  
  @keyframes preloader-bounce {
  
    0%,
    100% {
      transform: scale(0);
    }
  
    50% {
      transform: scale(1);
    }
  }
  
  .loaded_hiding .preloader {
    transition: 0.3s opacity;
    opacity: 0;
  }
  
  .loaded .preloader {
    display: none;
  }